Function
backwardAlgorithm
Implements the backward algorithm.
Execute the backward algorithm on the Hidden Markov Model hmm to get the probability of seq.
TProbability backwardAlgorithm(hmm, seq);
Include Headers
seqan/graph_algorithms.h
Parameters

hmm | In-parameter:Input HMM. Types: Hmm
seq | In-parameter:Input sequence.

Remarks
See the Wikipedia article on the Forward-backward algorithm for an introduction to the algorithm.
Return Values
Probability of the sequence seq. TProbability is the type parameter TCargo of the type of hmm.
See Also
viterbiAlgorithm, forwardAlgorithm
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2014/10/13 16:12:57